package com.ejie.ab63.model.terceros;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * DatosTerMec  
 * 
 *  
 */

public class DatosTerMec implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idDatoTerMec;
	private String paginaWeb;
	private String idIae;
	private Date fechaAltaEmpresa;
	private Date fechaAltaEstabl;
	private Long numeroSocios;
	private Long numeroSocias;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private Integer idTercero;

	/**
	 * Method 'DatosTerMec'.
	 */
	public DatosTerMec() {
	}

	/**
	 * Method 'DatosTerMec'.
	 * 
	 * @param idDatoTerMec
	 *            Integer
	 */
	public DatosTerMec(Integer idDatoTerMec) {
		this.idDatoTerMec = idDatoTerMec;
	}

	/**
	 * Method 'DatosTerMec'.
	 * 
	 * @param idDatoTerMec
	 *            Integer
	 * @param paginaWeb
	 *            String
	 * @param idIae
	 *            String
	 * @param fechaAltaEmpresa
	 *            Date
	 * @param fechaAltaEstabl
	 *            Date
	 * @param numeroSocios
	 *            Long
	 * @param numeroSocias
	 *            Long
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param idTercero
	 *            Integer
	 */
	public DatosTerMec(Integer idDatoTerMec, String paginaWeb, String idIae, Date fechaAltaEmpresa,
			Date fechaAltaEstabl, Long numeroSocios, Long numeroSocias, Date fechaRegistro, String usuarioRegistro,
			Date fechaUltmodificacion, String usuarioUltmodificacion, Integer idTercero) {

		this.idDatoTerMec = idDatoTerMec;
		this.paginaWeb = paginaWeb;
		this.idIae = idIae;
		this.fechaAltaEmpresa = fechaAltaEmpresa;
		this.fechaAltaEstabl = fechaAltaEstabl;
		this.numeroSocios = numeroSocios;
		this.numeroSocias = numeroSocias;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
		this.idTercero = idTercero;
	}

	/**
	 * Method 'getIdDatoTerMec'.
	 *
	 * @return Integer
	 */

	public Integer getIdDatoTerMec() {
		return this.idDatoTerMec;
	}

	/**
	 * Method 'setIdDatoTerMec'.
	 *
	 * @param idDatoTerMec
	 *            Integer
	 * @return
	 */

	public void setIdDatoTerMec(Integer idDatoTerMec) {
		this.idDatoTerMec = idDatoTerMec;
	}

	/**
	 * Method 'getPaginaWeb'.
	 *
	 * @return String
	 */

	public String getPaginaWeb() {
		return this.paginaWeb;
	}

	/**
	 * Method 'setPaginaWeb'.
	 *
	 * @param paginaWeb
	 *            String
	 * @return
	 */

	public void setPaginaWeb(String paginaWeb) {
		this.paginaWeb = paginaWeb;
	}

	/**
	 * Method 'getIdIae'.
	 *
	 * @return String
	 */

	public String getIdIae() {
		return this.idIae;
	}

	/**
	 * Method 'setIdIae'.
	 *
	 * @param idIae
	 *            String
	 * @return
	 */

	public void setIdIae(String idIae) {
		this.idIae = idIae;
	}

	/**
	 * Method 'getFechaAltaEmpresa'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaAltaEmpresa() {
		return this.fechaAltaEmpresa;
	}

	/**
	 * Method 'setFechaAltaEmpresa'.
	 *
	 * @param fechaAltaEmpresa
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaAltaEmpresa(Date fechaAltaEmpresa) {
		this.fechaAltaEmpresa = fechaAltaEmpresa;
	}

	/**
	 * Method 'getFechaAltaEstabl'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaAltaEstabl() {
		return this.fechaAltaEstabl;
	}

	/**
	 * Method 'setFechaAltaEstabl'.
	 *
	 * @param fechaAltaEstabl
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaAltaEstabl(Date fechaAltaEstabl) {
		this.fechaAltaEstabl = fechaAltaEstabl;
	}

	/**
	 * Method 'getNumeroSocios'.
	 *
	 * @return Long
	 */

	public Long getNumeroSocios() {
		return this.numeroSocios;
	}

	/**
	 * Method 'setNumeroSocios'.
	 *
	 * @param numeroSocios
	 *            Long
	 * @return
	 */

	public void setNumeroSocios(Long numeroSocios) {
		this.numeroSocios = numeroSocios;
	}

	/**
	 * Method 'getNumeroSocias'.
	 *
	 * @return Long
	 */

	public Long getNumeroSocias() {
		return this.numeroSocias;
	}

	/**
	 * Method 'setNumeroSocias'.
	 *
	 * @param numeroSocias
	 *            Long
	 * @return
	 */

	public void setNumeroSocias(Long numeroSocias) {
		this.numeroSocias = numeroSocias;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdTercero'.
	 *
	 * @return Integer
	 */

	public Integer getIdTercero() {
		return this.idTercero;
	}

	/**
	 * Method 'setIdTercero'.
	 *
	 * @param idTercero
	 *            Integer
	 * @return
	 */

	public void setIdTercero(Integer idTercero) {
		this.idTercero = idTercero;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idDatoTerMec: ").append(this.idDatoTerMec).append(" ]");
		result.append(", [ paginaWeb: ").append(this.paginaWeb).append(" ]");
		result.append(", [ idIae: ").append(this.idIae).append(" ]");
		result.append(", [ fechaAltaEmpresa: ").append(this.fechaAltaEmpresa).append(" ]");
		result.append(", [ fechaAltaEstabl: ").append(this.fechaAltaEstabl).append(" ]");
		result.append(", [ numeroSocios: ").append(this.numeroSocios).append(" ]");
		result.append(", [ numeroSocias: ").append(this.numeroSocias).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append(", [ idTercero: ").append(this.idTercero).append(" ]");
		result.append("}");
		return result.toString();
	}

}
